Skip to main content
POST
/
v1
/
feedback
Submit explicit feedback (thumbs up/down) for a request or session
curl --request POST \
  --url https://api.example.com/v1/feedback \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "traceId": "<string>",
  "sessionId": "<string>",
  "virtualKeyId": "<string>"
}
'

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
score
enum<number>
required

Thumbs up (+1) or thumbs down (-1)

Available options:
-1,
1
traceId
string

Link to a specific trace

sessionId
string

Link to a session

virtualKeyId
string

Target key — resolved from traceId/sessionId when omitted

Response

201 - undefined